From 034ea73ce3c3679f3ce91a5676b0e9da0744cedf Mon Sep 17 00:00:00 2001
From: dmiller <dmiller@e0a8ed71-7df4-0310-8962-fdc924857419>
Date: Mon, 29 Jan 2024 18:31:36 +0000
Subject: [PATCH] Fix EdDSA in default TLS 1.2 signature algorithms. Closes
 #2766

  Adapted for Ubuntu/Jammy by wdoekes.
  Patch howto:

    cd /usr/share/nmap
    sudo patch -p1 < /path/to/this.patch

--- a/nselib/tls.lua	2024-03-22 11:26:02.149814262 +0100
+++ b/nselib/tls.lua	2024-03-22 12:02:24.673254787 +0100
@@ -1628,13 +1628,11 @@ do
     {"sha256","rsa"},
     {"sha256","dsa"},
     {"sha256","ecdsa"},
-    {"sha256","ed25519"},
-    {"sha256","ed448"},
     {"sha512","rsa"},
     {"sha512","dsa"},
     {"sha512","ecdsa"},
-    {"sha512","ed25519"},
-    {"sha512","ed448"},
+    {"intrinsic","ed25519"},
+    {"intrinsic","ed448"},
   }
   DEFAULT_SIGALGS = EXTENSION_HELPERS["signature_algorithms"](sigalgs)
 end
